> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Get Group Files > Get all media files shared in a private channel. ### Changelog | Version | Description | | ------- | ----------- | |9.0.0 | Removed the `fields` and `query` parameters. | | 0.64.0 | Change userId to user object in response | | 0.59.0 | Added | ## OpenAPI ````json GET /api/v1/groups.files { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Rooms" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Channels" }, { "name": "Directory" }, { "name": "Groups" }, { "name": "Rooms" }, { "name": "Teams" }, { "name": "Room Invites" }, { "name": "Subscriptions" }, { "name": "ABAC" } ], "paths": { "/api/v1/groups.files": { "get": { "tags": [ "Groups" ], "summary": "Get Group Files", "description": "Get all media files shared in a private channel. \n\n### Changelog\n| Version | Description |\n| ------- | ----------- |\n|9.0.0 | Removed the `fields` and `query` parameters. |\n| 0.64.0 | Change userId to user object in response |\n| 0.59.0 | Added |", "operationId": "get-api-v1-groups.files", "parameters": [ { "$ref": "#/components/parameters/Auth-Token" }, { "$ref": "#/components/parameters/UserId" }, { "$ref": "#/components/parameters/Optional-RoomName" }, { "$ref": "#/components/parameters/Optional-RoomId" }, { "$ref": "#/components/parameters/offset" }, { "$ref": "#/components/parameters/count" }, { "$ref": "#/components/parameters/sort" }, { "$ref": "#/components/parameters/filterTypeGroup" }, { "$ref": "#/components/parameters/filterName" } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "files": { "type": "array", "items": { "type": "object", "properties": { "_id": { "type": "string" }, "name": { "type": "string" }, "size": { "type": "integer" }, "type": { "type": "string" }, "rid": { "type": "string" }, "description": { "type": "string" }, "store": { "type": "string" }, "complete": { "type": "boolean" }, "uploading": { "type": "boolean" }, "extension": { "type": "string" }, "progress": { "type": "integer" }, "user": { "type": "object", "properties": { "_id": { "type": "string" }, "username": { "type": "string" }, "name": { "type": "string" } } }, "_updatedAt": { "type": "string" }, "instanceId": { "type": "string" }, "etag": { "type": "string" }, "path": { "type": "string" }, "token": { "type": "string" }, "uploadedAt": { "type": "string" }, "url": { "type": "string" } } } }, "count": { "type": "integer" }, "offset": { "type": "integer" }, "total": { "type": "integer" }, "success": { "type": "boolean" } } }, "examples": { "Example": { "value": { "files": [ { "_id": "S78TNnvaWGwdYRaCD", "name": "images.jpeg", "size": 9778, "type": "image/jpeg", "rid": "GENERAL", "description": "", "store": "GridFS:Uploads", "complete": true, "uploading": false, "extension": "jpeg", "progress": 1, "user": { "_id": "ksKsKmrjvxzkzxkww", "username": "rocket.cat", "name": "Rocket Cat" }, "_updatedAt": "2018-03-08T14:47:37.003Z", "instanceId": "uZG54xuoKauKHykbQ", "etag": "jPaviS9qG22xC5sDC", "path": "/file-upload/S78TNnvaWGwdYRaCD/images.jpeg", "token": "28cAb868d9", "uploadedAt": "2018-03-08T14:47:37.295Z", "url": "/file-upload/S78TNnvaWGwdYRaCD/images.jpeg" } ], "count": 1, "offset": 0, "total": 1, "success": true } } } } } }, "400": { "description": "Bad Request", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" }, "errorType": { "type": "string" } } }, "examples": { "Example 1": { "value": { "success": false, "error": "must have required property 'roomId'\n must have required property 'roomName'\n must match exactly one schema in oneOf ", "errorType": "error-invalid-params" } } } } } }, "401": { "$ref": "#/components/responses/authorizationError" } } } } }, "components": { "parameters": { "Auth-Token": { "name": "X-Auth-Token", "in": "header", "description": "The `authToken` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f" }, "UserId": { "name": "X-User-Id", "in": "header", "description": "The `userId` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "rbAXPnMktTFbNpwtJ" }, "Optional-RoomName": { "name": "roomName", "in": "query", "description": "The room name. It is required if the `roomId` is not provided.", "required": false, "schema": { "type": "string" }, "example": "general" }, "Optional-RoomId": { "name": "roomId", "in": "query", "description": "The room ID. It is required if the `roomName` is not provided.", "schema": { "type": "string" }, "example": "dlpfuijw7ej" }, "offset": { "name": "offset", "in": "query", "description": "Number of items to \"skip\" in the query, i.e. requests return count items, skipping the first offset items. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.", "required": false, "schema": { "type": "integer" }, "example": 50 }, "count": { "name": "count", "in": "query", "description": "The number of items to return. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.", "required": false, "schema": { "type": "integer" }, "example": 50 }, "sort": { "name": "sort", "in": "query", "description": "List of fields to order by, and in which direction. This is a JSON object, with properties listed in desired order, with values of 1 for ascending, or -1 for descending. For example, {\"value\": -1, \"_id\": 1}. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.", "required": false, "schema": {} }, "filterTypeGroup": { "name": "typeGroup", "in": "query", "description": "Filter results by the type of file. Available options:\n- `all`: Return all file types.\n- `image`: Filter by image files.\n- `video`: Filter by video files.\n- `audio`: Filter by audio files.\n- `text`: Filter by text documents.\n- `application`: Filter by other file types.", "schema": { "type": "string" }, "example": "images" }, "filterName": { "name": "name", "in": "query", "description": "The name of the file to search for.", "schema": { "type": "string" }, "example": "logo" } }, "responses": { "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "success": false, "error": "You must be logged in to do this." } } } } } } } } } ````